## binutils 2.40.50.20230611

=== debian/changelog ===
binutils (2.40.50.20230611-2) unstable; urgency=medium

  * Ignore the objdump test failures for now.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Jun 2023 19:46:54 +0200

binutils (2.40.50.20230611-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Jun 2023 13:30:31 +0200

binutils (2.40.50.20230602-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * debian/rules: Pass argument to tar to sort the files in the binutils
    source tarball (Vagrant Cascadian). Closes: #1033958.

 -- Matthias Klose <doko@debian.org>  Fri, 02 Jun 2023 10:10:27 +0200

binutils (2.40.50.20230510-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Pass -ffile-prefix-map to CFLAGS and CXXFLAGS (Vagrant Cascadian).
    Closes: #1033959.
  * Build a hurd-amd64 package (Samuel Thibault). Closes: #1035773.

 -- Matthias Klose <doko@debian.org>  Wed, 10 May 2023 14:35:01 +0200

binutils (2.40.50.20230501-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Refresh patches.
  * Provide the gold binary name in cross packages. Closes: #1035342.

 -- Matthias Klose <doko@debian.org>  Mon, 01 May 2023 15:45:35 +0200

binutils (2.40.50.20230215-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Feb 2023 05:46:01 +0100
