## binutils 2.40.90.20230705

=== debian/changelog ===
binutils (2.40.90.20230705-1) unstable; urgency=medium

  * New upstream snapshot, taken from the binutils 2.41 release branch.
  * Disable running tests on i386, testsuite hangs, see PR gprofng/30602.
  * Ignore regressions on mipsel and mips64el. These were introduced by
    the upstream mips maintainer by reverting some commits. His promise
    is these "will be sorted in the coming weeks, resources permitting".
    See PR 30607.  Don't wait for this promise.

 -- Matthias Klose <doko@debian.org>  Wed, 05 Jul 2023 13:50:30 +0200

binutils (2.40.50.20230630-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Split-out libsframe1 and libsframe1-dbg packages.
  * Build hurd-amd64 cross packages.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Jun 2023 10:42:05 +0200

binutils (2.40.50.20230625-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Jun 2023 09:25:03 +0200

binutils (2.40.50.20230622-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Jun 2023 14:46:17 +0200

binutils (2.40.50.20230618-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Jun 2023 10:04:06 +0200
