=== debian/control ===
--- 
+++ 
@@ -127,7 +127,29 @@
 Description: GNU Next Generation profiler (debug symbols)
  Gprofng is the GNU Next Generation profiler for analyzing the performance
  of Linux applications.
+ .
  This package includes the debug symbols for the libgprofng shared library.
+
+Package: libsframe1
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}
+Description: Library to handle the SFrame format (runtime library)
+ SFrame stands for Simple Frame format.  SFrame format keeps track
+ of the minimal necessary information needed for generating stack traces.
+ .
+ This package includes the libsframe shared library.
+
+Package: libsframe1-dbg
+Section: debug
+Architecture: any
+Multi-Arch: same
+Depends: libsframe1 (= ${binary:Version})
+Description: Library to handle the SFrame format (debug symbols)
+ SFrame stands for Simple Frame format.  SFrame format keeps track
+ of the minimal necessary information needed for generating stack traces.
+ .
+ This package includes the debug symbols for the libsframe shared library.
 
 Package: libbinutils
 Architecture: any
@@ -150,7 +172,8 @@
 Architecture: any
 Priority: optional
 Depends: binutils (= ${binary:Version}), libbinutils (= ${binary:Version}),
-  libctf0 (= ${binary:Version}), libctf-nobfd0 (= ${binary:Version})
+  libctf0 (= ${binary:Version}), libctf-nobfd0 (= ${binary:Version}),
+  libsframe1 (= ${binary:Version}),
 Conflicts: libbfd-dev
 Provides: libbfd-dev
 Replaces: libbfd-dev, libc5-dev
@@ -263,24 +286,3 @@
 Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
 Description: GNU binary utilities, for x86-64-linux-gnu target
  This package provides GNU assembler, linker and binary utilities
- for the x86-64-linux-gnu target.
- .
- You don't need this package unless you plan to cross-compile programs
- for x86-64-linux-gnu and x86-64-linux-gnu is not your native platform.
-
-Package: binutils-x86-64-linux-gnu-dbg
-Section: debug
-Priority: optional
-Architecture: amd64 arm64 i386 ppc64el x32
-Multi-Arch: foreign
-Depends: binutils-x86-64-linux-gnu (= ${binary:Version})
-Description: GNU binary utilities, for x86-64-linux-gnu target (debug symbols)
- This package provides debug symbols for binutils-x86-64-linux-gnu.
-
-Package: binutils-i686-linux-gnu
-Priority: optional
-Architecture: i386 amd64 arm64 ppc64el x32
-Multi-Arch: allowed
-Depends: binutils-common (= ${binary:Version}),
-  ${shlibs:Depends}, ${extraDepends}
-Suggests: binutils-doc (= ${source:Version})
