=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # Based on sample debian/rules file - for GNU Hello (1.3).
 # Copyright 1994,1995 by Ian Jackson.
 # Copyright 1998-2007 James Troup.
-# Portions Copyright 2008-2022 Canonical Ltd.
-# Portions Copyright 2008-2022 Matthias Klose.
+# Portions Copyright 2008-2023 Canonical Ltd.
+# Portions Copyright 2008-2023 Matthias Klose.
 # I hereby give you perpetual unlimited permission to copy,
 # modify and relicense this file, provided that you do not remove
 # my name from the file itself.  (I assert my moral right of
@@ -67,6 +67,7 @@
 p_ctf = libctf0
 p_ctfn = libctf-nobfd0
 p_gpng = libgprofng0
+p_sfrm = libsframe1
 
 p_hst = $(p_bin)-for-host
 p_bld = $(p_bin)-for-build
@@ -106,6 +107,7 @@
 d_ctf = debian/$(p_ctf)
 d_ctfn = debian/$(p_ctfn)
 d_gpng = debian/$(p_gpng)
+d_sfrm = debian/$(p_sfrm)
 
 d_hst = debian/$(p_hst)
 d_bld = debian/$(p_bld)
@@ -142,7 +144,7 @@
                    alpha arc hppa m68k \
                    powerpc ppc64 sh4 sparc64 \
                    ia64 riscv64 \
-                   kfreebsd-amd64 kfreebsd-i386 hurd-i386
+                   kfreebsd-amd64 kfreebsd-i386 hurd-amd64 hurd-i386
   else ifeq ($(DEB_HOST_ARCH),arm64)
     CROSS_ARCHS ?= amd64 armel armhf i386 ppc64el riscv64 s390x arc x32
   else ifeq ($(DEB_HOST_ARCH),ppc64)
@@ -226,6 +228,7 @@
 
 HOST_ARCHS_kfreebsd-amd64 = amd64 i386 x32
 HOST_ARCHS_kfreebsd-i386 = amd64 i386 x32
+HOST_ARCHS_hurd-amd64 = amd64 i386 x32
 HOST_ARCHS_hurd-i386 = amd64 i386 x32
 
 # Map a Debian architecture alias to a GNU type or a multiarch path component.
@@ -238,7 +241,3 @@
 CROSS_ARCH	= $(subst .,,$(suffix $@))
 CROSS_GNU_TYPE	= $(subst i586,i686,$(call _gnu_type,$(CROSS_ARCH)))
 P_CROSS		= binutils-$(subst _,-,$(CROSS_GNU_TYPE))
-D_CROSS		= debian/$(P_CROSS)
-
-# If $(TARGET) is not set, try reading debian/target
-ifeq (,$(TARGET))
