## binutils 2.41

=== debian/changelog ===
binutils (2.41-6deepin9) unstable; urgency=medium

  * feat: add sw64 support.

 -- hudeng <hudeng@deepin.org>  Mon, 21 Jul 2025 16:37:22 +0800

binutils (2.41-6deepin8) unstable; urgency=medium

  * fix CVE-2024-57360

 -- zengwei  <zengwei1@uniontech.com>  Fri, 18 Jul 2025 17:20:13 +0800

binutils (2.41-6deepin7) unstable; urgency=medium

  * Fix slowdown about partial linking.

 -- Xin Wang <wangxin03@loongson.cn>  Tue, 16 Jan 2025 15:33 +0800

binutils (2.41-6deepin6) unstable; urgency=medium

  * Disable gold linker for MIPS targets as they are broken as of 2.41.

 -- Mingcong Bai <baimingcong@uniontech.com>  Tue, 24 Sep 2024 16:38:56 +0800

binutils (2.41-6deepin5) unstable; urgency=medium

  * Backport patches from upstream to LoongArch.

 -- Xin Wang <wangxin03@loongson.cn>  Wed, 27 Nov 2024 17:22:23 +0800

binutils (2.41-6deepin4) unstable; urgency=medium

  * Enable loong64 cross target for arm64.

 -- Mingcong Bai <baimingcong@uniontech.com>  Mon, 09 Sep 2024 10:19:28 +0800

binutils (2.41-6deepin3) unstable; urgency=medium

  * Drop LoongArch backports as they caused Kernel builds to not boot or crash
    whilst loading certain kernel modules.
  * This patchset should be revisited on a later date to enable kernel live-
    patching support.
  * Drop powerpc64 build target from d/control.

 -- Mingcong Bai <baimingcong@uniontech.com>  Tue, 30 Jul 2024 16:48:17 +0800

binutils (2.41-6deepin2) unstable; urgency=medium

  * Enable full cross compilation set for amd64, arm64, loong64, and riscv64.
  * Backport fixes for LoongArch from upstream (binutils-2_41-branch, master).
  * Backport LoongArch -mthin-add-sub support from upstream (for kernel live-
    patching).
  * Drop ia64, ppc64 targets.

 -- Mingcong Bai <baimingcong@uniontech.com>  Tue, 18 Jun 2024 10:47:01 +0800

binutils (2.41-6~deepin1) unstable; urgency=medium

  * Build packages for loong64.

 -- Chang Yang <yangchang@deepin.org>  Wed, 25 Oct 2023 17:35:02 +0800

binutils (2.41-5~deepin1) unstable; urgency=medium

  * Drop alpha-linux-gnu.

 -- Tianyu Chen <sweetyfish@deepin.org>  Tue, 17 Oct 2023 17:06:07 +0800

binutils (2.41-5) unstable; urgency=medium

  * Update binutils from the 2.41 branch.
    - Fix PR gold/30794 (PPC): internal error in add_output_section_to_load.
    - Fix PR bfd/30724, cygwin ld performance regression.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Sep 2023 15:53:35 +0200

binutils (2.41-4) unstable; urgency=medium

  * Update binutils from the 2.41 branch.
    - Fix PR ld/30697, ppc32 mix of local-dynamic and global-dynamic TLS.
  * Don't create a dangling gold symlink on archs where it's not available.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Aug 2023 16:36:52 +0200

binutils (2.41-3) unstable; urgency=medium

  * Apply proposed patch for PR gprofng/30700.
  * Also ignore the gprofng.display/display.exp synprog test failure.

 -- Matthias Klose <doko@debian.org>  Thu, 03 Aug 2023 06:10:47 +0200

binutils (2.41-2) unstable; urgency=medium

  * Update binutils from the 2.41 branch.
    - Fix PR gas/28989, rework timestamp preservation on doc/asconfig.texi.
    - Update translations.
  * Bump symbols files to final 2.41 version.
  * Update VCS attributes.
  * Ignore gprofng and bootstrap test regressions.
  * gprofng: Fix build with 64bit file offset on 32bit machines, patch taken
    from the trunk.
  * Build alpha arc hppa m68k sh4 sparc64 cross packages on ppc64el.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Aug 2023 09:49:46 +0200

binutils (2.41-1) unstable; urgency=medium

  * binutils 2.41 release.
  * Update libgprofng0 symbols file for x32.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Jul 2023 18:01:13 +0200

binutils (2.40.90.20230729-2) unstable; urgency=medium

  * Fix typo in libgprofng0 symbols file (Sven Joachim). Closes: #1042498.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Jul 2023 12:47:21 +0200

binutils (2.40.90.20230729-1) unstable; urgency=medium

  * New upstream snapshot, taken from the binutils 2.41 release branch.
  * Let objcopy honor the SOURCE_DATE_EPOCH env (Johannes Schauer).
    Taken from the trunk, closes: #1040450.
  * Fix some lintian warnings.
  * Ignore bootstrap regressions on m68k.
  * Add libgprofng0 symbols file.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Jul 2023 04:14:55 +0200

binutils (2.40.90.20230720-1) unstable; urgency=medium

  * New upstream snapshot, taken from the binutils 2.41 release branch.
    - Fix PR ld/30632 - ld segfaults if linker script includes a STARTUP line.
      Closes: #1040913.
  * Stop ignoring new regressions again.
  * binutils: Suggest gprofng-gui.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Jul 2023 15:27:46 +0200

binutils (2.40.90.20230714-2) unstable; urgency=medium

  * Ignore the dwarf.exp test failure, not reproducible locally.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Jul 2023 16:58:54 +0200

binutils (2.40.90.20230714-1) unstable; urgency=medium

  * New upstream snapshot, taken from the binutils 2.41 release branch.
  * Stop ignoring new regressions on mipsel and mips64el.
  * Build alpha hppa m68k powerpc sh4 sparc64 cross packages on arm64.
    Addresses: #969195.
  * Fix PR gprofng/30602, taken from the trunk.
  * Run the testsuite on i386 again.

 -- Matthias Klose <doko@debian.org>  Fri, 14 Jul 2023 12:42:55 +0200
