=== debian/control ===
--- 
+++ 
@@ -13,11 +13,9 @@
   g++-arm-linux-gnueabihf [amd64 arm64 i386 x32] <!nocheck>,
   g++-powerpc64le-linux-gnu [amd64 arm64 i386 ppc64 x32] <!nocheck>,
   g++-s390x-linux-gnu [amd64 arm64 i386 ppc64el x32] <!nocheck>,
-  g++-alpha-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-hppa-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-m68k-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-powerpc-linux-gnu [amd64 i386 ppc64el x32] <!nocheck>,
-  g++-powerpc64-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-riscv64-linux-gnu [amd64 arm64 i386 ppc64el x32] <!nocheck>,
   g++-sh4-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-sparc64-linux-gnu [amd64 i386 x32] <!nocheck>,
@@ -27,7 +25,7 @@
 Build-Conflicts: libelf-dev
 Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/binutils/
-Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils
+Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils/tree/binutils-2.41
 Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git
 XS-Testsuite: autopkgtest
 
@@ -62,7 +60,7 @@
 Conflicts: modutils (<< 2.4.19-1), ${extraConflicts},
   binutils-multiarch (<< 2.27-8)
 Provides: elf-binutils, ${gold:Provides}
-Suggests: binutils-doc (>= ${source:Version})
+Suggests: binutils-doc (>= ${source:Version}), gprofng-gui
 Description: GNU assembler, linker and binary utilities
  The programs in this package are used to assemble, link and manipulate
  binary and object files.  They may be used in conjunction with a compiler
@@ -276,7 +274,7 @@
 
 Package: binutils-x86-64-linux-gnu
 Priority: optional
-Architecture: amd64 arm64 i386 ppc64el x32
+Architecture: amd64 arm64 i386 ppc64el x32 arm64 loong64 riscv64
 Multi-Arch: allowed
 Depends: binutils-common (= ${binary:Version}),
   ${shlibs:Depends}, ${extraDepends}
@@ -286,3 +284,5 @@
 Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
 Description: GNU binary utilities, for x86-64-linux-gnu target
  This package provides GNU assembler, linker and binary utilities
+ for the x86-64-linux-gnu target.
+ .
