=== debian/rules ===
--- 
+++ 
@@ -120,9 +120,8 @@
 install_binary = install -m 755 -s --strip-program="$(STRIP)"
 
 NATIVE_ARCHS ?= amd64 i386 arm64 armhf armel ppc64el s390x
-NATIVE_ARCHS += alpha arc hppa ia64 m68k powerpc ppc64 \
+NATIVE_ARCHS += arc hppa loong64 m68k powerpc \
 	riscv64 sh4 sparc64 x32
-NATIVE_ARCHS += hurd-amd64 hurd-i386 kfreebsd-amd64 kfreebsd-i386
 #NATIVE_ARCHS += nios2 or1k s390 sparc
 
 # don't generate the control file entries for native packages which are never
@@ -141,16 +140,21 @@
     # DEB_HOST_ARCH is filtered-out later anyway, do not test here.
     CROSS_ARCHS ?= amd64 i386 x32 \
                    s390x ppc64el arm64 armhf armel \
-                   alpha arc hppa m68k \
-                   powerpc ppc64 sh4 sparc64 \
-                   ia64 riscv64 \
-                   kfreebsd-amd64 kfreebsd-i386 hurd-amd64 hurd-i386
+                   arc hppa loong64 m68k \
+                   powerpc sh4 sparc64 \
+                   riscv64
   else ifeq ($(DEB_HOST_ARCH),arm64)
-    CROSS_ARCHS ?= amd64 armel armhf i386 ppc64el riscv64 s390x arc x32
-  else ifeq ($(DEB_HOST_ARCH),ppc64)
-    CROSS_ARCHS ?= ppc64el
+    CROSS_ARCHS ?= amd64 armel armhf i386 powerpc ppc64el riscv64 s390x \
+		   arc hppa m68k sh4 sparc64 x32 loong64
+  else ifeq ($(DEB_HOST_ARCH),loong64)
+    CROSS_ARCHS ?= amd64 arm64 armel armhf i386 powerpc ppc64el riscv64 s390x \
+		   arc hppa m68k sh4 sparc64 x32
   else ifeq ($(DEB_HOST_ARCH),ppc64el)
-    CROSS_ARCHS ?= powerpc ppc64 amd64 i386 x32 arm64 armel armhf riscv64 s390x
+    CROSS_ARCHS ?= powerpc amd64 armel armhf arm64 i386 riscv64 s390x \
+		   arc hppa m68k sh4 sparc64 x32
+  else ifeq ($(DEB_HOST_ARCH),riscv64)
+    CROSS_ARCHS ?= amd64 arm64 armel armhf i386 loong64 powerpc ppc64el s390x \
+		   arc hppa m68k sh4 sparc64 x32
   endif
 else ifeq ($(DEB_SOURCE),binutils-ports)
   CROSS_ARCHS ?= m68k sh4
@@ -173,7 +177,11 @@
   with_hppa64 = yes
 endif
 
-with_multiarch := yes
+ifeq ($(DEB_HOST_ARCH),sw64)
+  with_multiarch := no
+else
+  with_multiarch := yes
+endif
 
 # disabled: no build-needed restriction used in the autopkg test
 ifeq (0,1)
@@ -191,53 +199,33 @@
   CONF_GPROFNG = --enable-gprofng
 endif
 
-HOST_ARCHS_arc = amd64 i386 x32 arm64
-HOST_ARCHS_armhf = amd64 i386 x32 arm64 ppc64el
-HOST_ARCHS_armel = amd64 i386 x32 arm64 ppc64el
-HOST_ARCHS_arm64 = amd64 i386 x32 ppc64el
-HOST_ARCHS_powerpc = amd64 i386 x32 ppc64el
-HOST_ARCHS_ppc64el = amd64 i386 x32 ppc64 arm64
-HOST_ARCHS_s390x = amd64 i386 x32 arm64 ppc64el
-HOST_ARCHS_amd64 = arm64 i386 ppc64el x32
-HOST_ARCHS_i386 = amd64 arm64 ppc64el x32
-HOST_ARCHS_ia64 = amd64 i386 x32
-HOST_ARCHS_riscv64 = amd64 i386 x32 arm64 ppc64el
-
-HOST_ARCHS_alpha = amd64 i386 x32
-#HOST_ARCHS_arc = amd64 i386 x32
-HOST_ARCHS_hppa = amd64 i386 x32
-HOST_ARCHS_m68k = amd64 i386 x32
-HOST_ARCHS_ppc64 = amd64 i386 x32 ppc64el
-HOST_ARCHS_sh4 = amd64 i386 x32
-HOST_ARCHS_sparc64 = amd64 i386 x32
-HOST_ARCHS_x32 = amd64 arm64 i386 ppc64el
-
-HOST_ARCHS_mips = amd64 i386 x32
-HOST_ARCHS_mipsel = amd64 i386 x32 arm64 ppc64el
-HOST_ARCHS_mipsn32 = amd64 i386 x32
-HOST_ARCHS_mipsn32el = amd64 i386 x32
-HOST_ARCHS_mips64 = amd64 i386 x32
-HOST_ARCHS_mips64el = amd64 i386 x32 arm64 ppc64el
-
-HOST_ARCHS_mipsr6 = amd64 i386 x32
-HOST_ARCHS_mipsr6el = amd64 i386 x32
-HOST_ARCHS_mipsn32r6 = amd64 i386 x32
-HOST_ARCHS_mipsn32r6el = amd64 i386 x32
-HOST_ARCHS_mips64r6 = amd64 i386 x32
-HOST_ARCHS_mips64r6el = amd64 i386 x32
-
-HOST_ARCHS_kfreebsd-amd64 = amd64 i386 x32
-HOST_ARCHS_kfreebsd-i386 = amd64 i386 x32
-HOST_ARCHS_hurd-amd64 = amd64 i386 x32
-HOST_ARCHS_hurd-i386 = amd64 i386 x32
-
-# Map a Debian architecture alias to a GNU type or a multiarch path component.
-run_dpkg_arch = $(or $(dpkg_arch_$1),$(eval \
-  dpkg_arch_$1 := $(shell dpkg-architecture -f -a$1))$(dpkg_arch_$1))
-_gnu_type  = $(call vafilt,$(run_dpkg_arch),DEB_HOST_GNU_TYPE)
-_multiarch = $(call vafilt,$(run_dpkg_arch),DEB_HOST_MULTIARCH)
-
-# Convenient shortcuts for {configure,build,install,binary}.%: generic recipes.
-CROSS_ARCH	= $(subst .,,$(suffix $@))
-CROSS_GNU_TYPE	= $(subst i586,i686,$(call _gnu_type,$(CROSS_ARCH)))
-P_CROSS		= binutils-$(subst _,-,$(CROSS_GNU_TYPE))
+HOST_ARCHS_armhf = amd64 i386 x32 arm64 ppc64el loong64 riscv64
+HOST_ARCHS_armel = amd64 i386 x32 arm64 ppc64el loong64 riscv64
+HOST_ARCHS_arm64 = amd64 i386 x32 ppc64el loong64 riscv64
+HOST_ARCHS_powerpc = amd64 i386 x32 arm64 ppc64el loong64 riscv64
+HOST_ARCHS_ppc64el = amd64 i386 x32 arm64 loong64 riscv64
+HOST_ARCHS_s390x = amd64 i386 x32 arm64 ppc64el loong64 riscv64
+HOST_ARCHS_amd64 = arm64 i386 ppc64el x32 arm64 loong64 riscv64
+HOST_ARCHS_i386 = amd64 arm64 ppc64el x32 arm64 loong64 riscv64
+HOST_ARCHS_riscv64 = amd64 i386 x32 arm64 ppc64el arm64 loong64 riscv64
+HOST_ARCHS_loong64 = amd64 i386 x32 arm64 ppc64el arm64 loong64 riscv64
+
+HOST_ARCHS_arc = amd64 i386 x32 arm64 ppc64el arm64 loong64 riscv64
+HOST_ARCHS_hppa = amd64 i386 x32 arm64 ppc64el arm64 loong64 riscv64
+HOST_ARCHS_loong64 = amd64 i386 x32 arm64 ppc64el arm64 loong64 riscv64
+HOST_ARCHS_m68k = amd64 i386 x32 arm64 ppc64el arm64 loong64 riscv64
+HOST_ARCHS_sh4 = amd64 i386 x32 arm64 ppc64el arm64 loong64 riscv64
+HOST_ARCHS_sparc64 = amd64 i386 x32 arm64 ppc64el arm64 loong64 riscv64
+HOST_ARCHS_x32 = amd64 arm64 i386 ppc64el arm64 loong64 riscv64
+
+HOST_ARCHS_mips = amd64 i386 x32 arm64 loong64 riscv64
+HOST_ARCHS_mipsel = amd64 i386 x32 arm64 ppc64el loong64 riscv64
+HOST_ARCHS_mipsn32 = amd64 i386 x32 arm64 loong64 riscv64
+HOST_ARCHS_mipsn32el = amd64 i386 x32 arm64 loong64 riscv64
+HOST_ARCHS_mips64 = amd64 i386 x32 arm64 loong64 riscv64
+HOST_ARCHS_mips64el = amd64 i386 x32 arm64 ppc64el arm64 loong64 riscv64
+
+HOST_ARCHS_mipsr6 = amd64 i386 x32 arm64 loong64 riscv64
+HOST_ARCHS_mipsr6el = amd64 i386 x32 arm64 loong64 riscv64
+HOST_ARCHS_mipsn32r6 = amd64 i386 x32 arm64 loong64 riscv64
+HOST_ARCHS_mipsn32r6el = amd64 i386 x32 arm64 loong64 riscv64
